1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

WP <5.0 Fehlermeldung in debug.log

Dieses Thema im Forum "Konfiguration" wurde erstellt von fahrradler, 28. März 2018.

  1. fahrradler

    fahrradler Well-Known Member

    Registriert seit:
    13. Januar 2014
    Beiträge:
    46
    Zustimmungen:
    0
    Bei der Entwicklung eine Plugins bekomme ich folgende (Fehler)Meldung, die nicht von meiner Erweiterung stammt:

    [28-Mar-2018 19:48:05 Europe/Berlin] PHP Notice: get_bloginfo was called with an argument that is <strong>deprecated</strong> since version 2.2.0! The <code>siteurl</code> option is deprecated for the family of <code>bloginfo()</code> functions. Use the <code>url</code> option instead. in /homepages/24/USERID/htdocs/WP/wp-includes/functions.php on line 4031

    Die angegebene Line 4031 ist die Stelle der Ausgabe dieser Meldung und nicht die Position der Ursache.
    Wenn sich Parameter in WP 2.2.0 geändert haben, wieso wird in WP 4.9.4 immer noch eine Meldung generiert?
    WP kann ja eigendlich nicht richtig arbeiten, da es den Parameter siteurl in get_bloginfo() nicht gibt. Es ist aber weder im Front- noch Backend ein Fehler sichtbar.

    Wo muß ich siteurl in url ändern, damit ich meine eigenen Fehler in der debug.log leichter finde.
    (wird wahrscheinlich mit der 5.0 wieder überschieben)
     
  2. pascal88

    pascal88 Well-Known Member

    Registriert seit:
    12. September 2014
    Beiträge:
    83
    Zustimmungen:
    9
    Durchsuche deine Installation doch mal rekursiv nach get_bloginfo('siteurl')
    bzw.
    get_bloginfo.*siteurl
    (Regex)
    Vielleicht sitzt da was im Theme?
     
  3. fahrradler

    fahrradler Well-Known Member

    Registriert seit:
    13. Januar 2014
    Beiträge:
    46
    Zustimmungen:
    0
    Hast du einen Tip wie ich das beim Hoster 1&1 machen kann? Mit FileZilla kan ich Dateien suchen aber keine Inhalte (ODER?)
     
  4. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    9.465
    Zustimmungen:
    1.220
    Einfach den Theme Ordner wp-content/dein-theme/ komplett herunterladen und am PC mit Notepad++ o.ä. durchsuchen.
     
  5. fahrradler

    fahrradler Well-Known Member

    Registriert seit:
    13. Januar 2014
    Beiträge:
    46
    Zustimmungen:
    0
    Ursache für die Meldungen ist das Plugin: wp-easy-backup

    Hier ein Ausschnitt:
    ....
    // $form_values['old_url'] = get_bloginfo('siteurl');
    $form_values['old_url'] = get_bloginfo('url');

    $form_values['old_path'] = dirname(__FILE__);
    $form_values['old_path'] = str_replace(DS . 'wp-easy-backup', '', $form_values['old_path']);
    $form_values['old_path'] = realpath($form_values['old_path'] . '/../..');

    // if(get_bloginfo('siteurl') != get_bloginfo('wpurl')) {
    if(get_bloginfo('url') != get_bloginfo('wpurl')) {
    // $wp_dir = str_replace(get_bloginfo('siteurl'), '', get_bloginfo('wpurl'));
    $wp_dir = str_replace(get_bloginfo('url'), '', get_bloginfo('wpurl'));
    $wp_dir = str_replace('/', DS, $wp_dir);


    Nach Änderung keine Meldungen mehr im debug.log.
    Ein altes schon länger nicht mehr aktualisiertes Plugin. :(
     
    #5 fahrradler, 29. März 2018
    Zuletzt bearbeitet: 29. März 2018
  6. Henk1060

    Henk1060 Well-Known Member

    Registriert seit:
    4. September 2014
    Beiträge:
    3.575
    Zustimmungen:
    272
  7. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    9.465
    Zustimmungen:
    1.220
    Eher nicht, siehe Plugin-Seite: "Tested up to: 3.8.25"
     
  8. Henk1060

    Henk1060 Well-Known Member

    Registriert seit:
    4. September 2014
    Beiträge:
    3.575
    Zustimmungen:
    272
    verwendest du noch so alte WP version?
    Und so ein altes pluign sollte auch nicht mehr verwendet werden!
    Es gibt genügend andere die auf den aktuellen stand sind
     
  9. fahrradler

    fahrradler Well-Known Member

    Registriert seit:
    13. Januar 2014
    Beiträge:
    46
    Zustimmungen:
    0
    Es gibt leider keinen Hinweis, ob Plugins veraltet sind.
    War aus einem alten Versuch mit einfachen Backups aktiv geblieben.
    Entschuldigt die Belästigung.

    Schöne Ostern!
     
  10. fahrradler

    fahrradler Well-Known Member

    Registriert seit:
    13. Januar 2014
    Beiträge:
    46
    Zustimmungen:
    0
    Muß doch mal alle Plugs überprüfen!
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden